XFcCore.h File Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCore.h File Reference

Main header file for X-Forge Core. More...

Include dependency graph for XFcCore.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | XFcCore
| Static core class, contains global functions. More...
struct | XFcExclusiveModeSettings
| When application is set to non-exclusive mode, this structure is used to report the visible area of the framebuffer. More...

## Defines

#define | malloc(x) xfcMalloc((x))
#define | calloc(x, y) xfcCalloc((x), (y))
#define | realloc(x, y) xfcRealloc((x), (y))
#define | free(x) xfcFree((x))

## Functions

void XFCDLLEXPORT XFCIMPORT * | xfcMalloc (size_t aSize)
| Allocates specified amount of memory in bytes.
void XFCDLLEXPORT XFCIMPORT * | xfcCalloc (size_t aNum, size_t aSize)
| Allocates specified amount of memory in bytes and clears the allocated memory.
void XFCDLLEXPORT XFCIMPORT * | xfcRealloc (void *aPtr, size_t aSize)
| Reallocates a memory block.
void XFCDLLEXPORT XFCIMPORT | xfcFree (void *aPtr)
| Frees a memory block.
void *__cdecl | operator new (size_t aSize)
void *__cdecl | operator new (size_t aSize, const UINT32 aFlags)
void *__cdecl | operator new[] (size_t aSize)
void *__cdecl | operator new[] (size_t aSize, const UINT32 aFlags)
void __cdecl | operator delete (void *aPtr)
void __cdecl | operator delete (void *aPtr, const UINT32 aFlags)
void __cdecl | operator delete[] (void *aPtr)
void __cdecl | operator delete[] (void *aPtr, const UINT32 aFlags)

## Detailed Description

Main header file for X-Forge Core.

X-Forge Core
Copyright 2000-2003 Fathammer Ltd

Id
  XFcCore.h,v 1.62 2003/10/15 09:32:43 kkallio Exp

Date
  2003/10/15 09:32:43

Revision
  1.62

## Define Documentation

#define calloc | ( | x,
|  | y |  | ) | xfcCalloc((x), (y))

#define free | ( | x |  | ) | xfcFree((x))

#define malloc | ( | x |  | ) | xfcMalloc((x))

#define realloc | ( | x,
|  | y |  | ) | xfcRealloc((x), (y))

## Function Documentation

void __cdecl operator delete | ( | void * | aPtr,
|  | const UINT32 | aFlags
| ) | `[inline]`

void __cdecl operator delete | ( | void * | aPtr | ) | `[inline]`

void __cdecl operator delete[] | ( | void * | aPtr,
|  | const UINT32 | aFlags
| ) |

void __cdecl operator delete[] | ( | void * | aPtr | ) |

void* __cdecl operator new | ( | size_t | aSize,
|  | const UINT32 | aFlags
| ) | `[inline]`

void* __cdecl operator new | ( | size_t | aSize | ) | `[inline]`

void* __cdecl operator new[] | ( | size_t | aSize,
|  | const UINT32 | aFlags
| ) |

void* __cdecl operator new[] | ( | size_t | aSize | ) |

void XFCDLLEXPORT XFCIMPORT* xfcCalloc | ( | size_t | aNum,
|  | size_t | aSize
| ) |

Allocates specified amount of memory in bytes and clears the allocated memory.

Parameters:

  aNum | Number of elements to allocate.
  aSize | Size of one element in bytes.

Returns:
  pointer to allocated and cleared memory, or NULL if unsuccessful.

void XFCDLLEXPORT XFCIMPORT xfcFree | ( | void * | aPtr | ) |

Frees a memory block.

Parameters:

  aPtr | Pointer to previously allocated memory.

void XFCDLLEXPORT XFCIMPORT* xfcMalloc | ( | size_t | aSize | ) |

Allocates specified amount of memory in bytes.

Parameters:

  aSize | Bytes to allocate memory.

Returns:
  pointer to allocated memory, or NULL if unsuccessful.

void XFCDLLEXPORT XFCIMPORT* xfcRealloc | ( | void * | aPtr,
|  | size_t | aSize
| ) |

Reallocates a memory block.

Parameters:

  aPtr | Existing memory block to reallocate.
  aSize | New requested size for the memory block.

Returns:
  pointer to the new reallocated block, or NULL if unsuccessful.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch